=== debian/changelog ===
flac (1.4.2+ds-2ubuntu1) lunar; urgency=medium

  * Do not build and install manpages on i386. Build dep pandoc is
    not available in Ubuntu for i386. (LP: #1997533)
    - debian/control:
      + Exclude pandoc build dep on i386.
      + Add dh-exec build dep.
    - debian/flac.install
      + Make executable and add '#!/usr/bin/dh-exec'.
      + Exclude installing manpages on i386.

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Nov 2022 18:56:12 +0000

flac (1.4.2+ds-2) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Remove doc/FLAC.tag and prebuilt manpages as well.

  [ Dennis Braun ]
  * d/copyright: Re-add a line which was removed accidentally

  [ Fabian Greffrath ]
  * Backport --force-legacy-wave-format command line option from
    upstream to force the decoder to output to WAVE_FORMAT_PCM when
    WAVE_FORMAT_EXTENSIBLE would be appropriate (Closes: #941132).

 -- Fabian Greffrath <fabian@debian.org>  Fri, 11 Nov 2022 09:10:23 +0100

flac (1.4.2+ds-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Remove incorrect Breaks+Replaces

  [ Dennis Braun ]
  * New upstream version 1.4.2
  * Drop privacy breach patch, applied by upstream
  * d/copyright: Remove non-existing entries

  [ Fabian Greffrath ]
  * Rebuild upstream tarball without documentation.
  * Remove debian/source/lintian-overrides file.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 26 Oct 2022 07:31:09 +0200

flac (1.4.1-2) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Oct 2022 10:05:04 +0200

flac (1.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.1
  * Refresh patchset, drop patches applied by upstream
  * Bump SO names
  * Apply wrap-and-sort -ast
  * Bump Standards Version to 4.6.1
  * Replace docbook-to-man with pandoc as B-D
  * Bump d/copyright years
  * Update doc installation, new path for html files & rename README file
  * Update symbols file
  * Add d/source/lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 14 Oct 2022 23:47:26 +0200
