=== debian/control ===
Source: flac
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Joshua Kwan <joshk@triplehelix.org>,
 Fabian Greffrath <fabian@debian.org>,
Build-Depends-Indep:
 doxygen,
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 libogg-dev,
 pandoc [!i386],
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
Homepage: https://xiph.org/flac/
Rules-Requires-Root: no

Package: flac
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Lossless Audio Codec - command line tools
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the command-line tools flac (used for encoding and
 decoding FLACs) and metaflac (used for manipulating FLAC metadata.)

Package: libflac12
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Lossless Audio Codec - runtime C library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the runtime library libFLAC.

Package: libflac-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Suggests:
 libflac-dev,
Recommends:
 doc-base,
Depends:
 ${misc:Depends},
Description: Free Lossless Audio Codec - library documentation
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the API documentation for all the FLAC libraries.

Package: libflac-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libflac12 (= ${binary:Version}),
 libogg-dev,
 ${misc:Depends},
Description: Free Lossless Audio Codec - C development library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the development library libFLAC.

Package: libflac++10
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Lossless Audio Codec - C++ runtime library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the runtime library libFLAC++.

Package: libflac++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libflac++10 (= ${binary:Version}),
 libflac-dev,
 ${misc:Depends},
Description: Free Lossless Audio Codec - C++ development library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the development library libFLAC++.
