=== examples/c/decode/file/CMakeLists.txt ===
add_executable(decode_file main.c)
target_link_libraries(decode_file FLAC)
