=== debian/changelog ===
flac (1.4.3+ds-2.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:58:35 +0000

flac (1.4.3+ds-2.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Don't Build-Depend on pandoc on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 04 Mar 2024 17:31:33 +0000

flac (1.4.3+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063114

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 11:59:59 +0000

flac (1.4.3+ds-2ubuntu1) mantic; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't Build-Depend on pandoc on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Jul 2023 21:48:23 -0400

flac (1.4.3+ds-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Don't use pandoc on ports architectures that don't have it.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 03 Jul 2023 08:43:49 +0200

flac (1.4.3+ds-1) unstable; urgency=medium

  [ Martijn van Beurden ]
  * Remove some flac building rules (Closes: #1022201).

  [ Fabian Greffrath ]
  * New upstream version 1.4.3+ds
  * Remove patch applied upstream.
  * Update libflac12.symbols file for API additions.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 27 Jun 2023 12:05:01 +0200
