=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
  Fabian Greffrath <fabian@debian.org>,
 Build-Depends-Indep:
  doxygen,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
- dh-exec,
  libogg-dev,
- pandoc [!i386],
+ pandoc [!arc !i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !sh4 !x32],
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
@@ -39,7 +38,10 @@
  This package contains the command-line tools flac (used for encoding and
  decoding FLACs) and metaflac (used for manipulating FLAC metadata.)
 
-Package: libflac12
+Package: libflac12t64
+Provides: ${t64:Provides}
+Replaces: libflac12
+Breaks: libflac12 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -91,7 +93,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libflac12 (= ${binary:Version}),
+ libflac12t64 (= ${binary:Version}),
  libogg-dev,
  ${misc:Depends},
 Description: Free Lossless Audio Codec - C development library
