## flac 1.5.0%2Bds

=== src/flac/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 check_include_file("sys/ioctl.h" HAVE_SYS_IOCTL_H)
+check_include_file("sys/time.h" HAVE_SYS_TIME_H)
 check_include_file("termios.h" HAVE_TERMIOS_H)
 
 add_executable(flacapp
@@ -10,6 +11,7 @@
     local_string_utils.c
     utils.c
     vorbiscomment.c
+    version.rc
     $<$<BOOL:${WIN32}>:../../include/share/win_utf8_io.h>
     $<$<BOOL:${WIN32}>:../share/win_utf8_io/win_utf8_io.c>)
 set_property(TARGET flacapp PROPERTY RUNTIME_OUTPUT_NAME flac)
