=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,27 @@
 #!/usr/bin/make -f
-
-export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+BUILDDIR = obj-$(DEB_HOST_MULTIARCH)
+
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
+	dh_auto_configure -B $(BUILDDIR)-static
 	dh_auto_configure -- \
-		--disable-rpath \
-		--disable-xmms-plugin \
-		$(OPTFLAGS) \
-		--enable-static \
-		--disable-silent-rules
+		-DBUILD_SHARED_LIBS=ON
+
+override_dh_auto_build:
+	dh_auto_build -B $(BUILDDIR)-static
+	dh_auto_build
 
 override_dh_auto_build-indep:
 	dh_auto_build -i -- -C doc
+
+override_dh_auto_install:
+	dh_auto_install -B $(BUILDDIR)-static
+	dh_auto_install
 
 override_dh_auto_install-indep:
 	dh_auto_install -i -- -C doc
