=== examples/c/encode/file/CMakeLists.txt ===
add_executable(encode_file main.c)
target_link_libraries(encode_file FLAC)
