=== debian/changelog ===
flac (1.5.0+ds-5) unstable; urgency=medium

  * Let libflac-dev contain the development files for both libflac and
    libflac++, turn libflac++-dev into a dummy package that depends on
    libflac-dev (Closes: #1119138)
  * Mark the flac package as Multi-Arch: foreign and let the
    libflac-dev package depend on it, this is required when using
    cmake
  * Do not run dh_update_autotools_config and dh_autoreconf during
    build
  * Add obj-*/ to debian/clean
  * Remove debian/not-installed, not necessary anymore
  * Give up tracking mangled C++ symbols, use Upstream-Version for
    libflac++11

 -- Fabian Greffrath <fabian@debian.org>  Tue, 28 Oct 2025 09:07:32 +0100

flac (1.5.0+ds-4) unstable; urgency=medium

  * Configure with -DINSTALL_MANPAGES=OFF on systems without pandoc
    (Closes: #1118741)
  * Patch paths in doc/FLAC.tag after the build rule, remove
    dysfunctional patch
  * Update debian/watch file to version 5
  * Update project homepage
  * Remove redundant RRR: no
  * Bump Standards-Version to 4.7.2
  * Run wrap-and-sort -ast

 -- Fabian Greffrath <fabian@debian.org>  Sat, 25 Oct 2025 14:42:37 +0200

flac (1.5.0+ds-3) unstable; urgency=medium

  [ Patrice Duroux ]
  * Provide a .cmake file (Closes: #1118470)

  [ Fabian Greffrath ]
  * Still install .m4 files
  * Actually install .cmake files

 -- Fabian Greffrath <fabian@debian.org>  Thu, 23 Oct 2025 13:46:12 +0200

flac (1.5.0+ds-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1098235)

 -- Fabian Greffrath <fabian@debian.org>  Fri, 21 Feb 2025 11:20:04 +0100

flac (1.5.0+ds-1) experimental; urgency=medium

  * New upstream version 1.5.0+ds
    + Support decoding of chained Ogg FLAC files (Closes: #498048)
  * Bump library SONAMEs to libflac14 and libflac++11
  * Update libflac14.symbols file with added symbols
  * Drop Provides: ${t64:Provides}
  * Update my Debian packaging copyright
  * Bump Standards-Version to 4.7.0
  * Upload to experimental

 -- Fabian Greffrath <fabian@debian.org>  Fri, 14 Feb 2025 12:32:47 +0100

flac (1.4.3+ds-4) unstable; urgency=medium

  * Team upload
  * Exclude pandoc on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Dec 2024 15:02:08 -0500

flac (1.4.3+ds-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Remove unused bits
  * Remove architectures that no longer exist
  * Clean generated files (Closes: #1044698)

  [ Fabian Greffrath ]
  * Exclude some more archs from the Build-Depends on the pandoc package
  * Ack NMU (Closes: #1063114)

 -- Fabian Greffrath <fabian@debian.org>  Tue, 10 Dec 2024 09:07:52 +0100
