=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian@debian.org>,
 Build-Depends-Indep:
  doxygen,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
+ cmake,
  libogg-dev,
- pandoc [!arc !i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !sh4 !x32],
-Standards-Version: 4.6.1
+ pandoc [!alpha !hppa !hurd-i386 !i386 !loong64 !m68k !powerpc !sh4 !x32],
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
-Homepage: https://xiph.org/flac/
-Rules-Requires-Root: no
+Homepage: https://github.com/xiph/flac
 
 Package: flac
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: foreign
 Description: Free Lossless Audio Codec - command line tools
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -38,10 +39,7 @@
  This package contains the command-line tools flac (used for encoding and
  decoding FLACs) and metaflac (used for manipulating FLAC metadata.)
 
-Package: libflac12t64
-Provides: ${t64:Provides}
-Replaces: libflac12
-Breaks: libflac12 (<< ${source:Version})
+Package: libflac14
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -93,10 +91,16 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libflac12t64 (= ${binary:Version}),
+ flac (= ${binary:Version}),
+ libflac++11 (= ${binary:Version}),
+ libflac14 (= ${binary:Version}),
  libogg-dev,
  ${misc:Depends},
-Description: Free Lossless Audio Codec - C development library
+Breaks:
+ libflac++-dev (<< 1.5.0+ds-5~),
+Replaces:
+ libflac++-dev (<< 1.5.0+ds-5~),
+Description: Free Lossless Audio Codec - C/C++ development libraries
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
  .
@@ -108,9 +112,9 @@
   * Input plugins for various music players (Winamp, XMMS, and more in the
     works)
  .
- This package contains the development library libFLAC.
+ This package contains the development libraries libFLAC and libFLAC++.
 
-Package: libflac++10
+Package: libflac++11
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -134,23 +138,12 @@
  This package contains the runtime library libFLAC++.
 
 Package: libflac++-dev
-Section: libdevel
+Section: oldlibs
 Architecture: any
 Multi-Arch: same
 Depends:
- libflac++10 (= ${binary:Version}),
- libflac-dev,
+ libflac-dev (>= 1.5.0+ds-5~),
  ${misc:Depends},
-Description: Free Lossless Audio Codec - C++ development library
- FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
- similar to MP3, but lossless.  The FLAC project consists of:
- .
-  * The stream format
-  * libFLAC, which implements a reference encoder, stream decoder, and file
-    decoder
-  * flac, which is a command-line wrapper around libFLAC to encode and decode
-    .flac files
-  * Input plugins for various music players (Winamp, XMMS, and more in the
-    works)
- .
- This package contains the development library libFLAC++.
+Description: transitional dummy package (libflac++-dev -> libflac-dev)
+ This package is a dummy package to enable the transition from
+ libflac++-dev to libflac-dev. It can be safely removed.
