=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,22 @@
 
 BUILDDIR = obj-$(DEB_HOST_MULTIARCH)
 
+ifeq ($(shell pandoc -v 2>/dev/null),)
+INSTALL_MANPAGES="-DINSTALL_MANPAGES=OFF"
+endif
+
 %:
 	dh $@ --buildsystem=cmake
 
+override_dh_update_autotools_config:
+override_dh_autoreconf:
+
 override_dh_auto_configure:
-	dh_auto_configure -B $(BUILDDIR)-static
+	dh_auto_configure -B $(BUILDDIR)-static -- \
+		$(INSTALL_MANPAGES)
 	dh_auto_configure -- \
-		-DBUILD_SHARED_LIBS=ON
+		-DBUILD_SHARED_LIBS=ON \
+		$(INSTALL_MANPAGES)
 
 override_dh_auto_build:
 	dh_auto_build -B $(BUILDDIR)-static
@@ -18,6 +27,7 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build -i -- -C doc
+	touch doc/FLAC.tag && sed -e 's,>.*/include/,>/usr/include/,g' -i doc/FLAC.tag
 
 override_dh_auto_install:
 	dh_auto_install -B $(BUILDDIR)-static
@@ -27,7 +37,11 @@
 	dh_auto_install -i -- -C doc
 
 execute_after_dh_auto_install-arch:
-	mkdir -p debian/tmp/usr/share/man	
+	mkdir -p debian/tmp/usr/share/man
+
+override_dh_makeshlibs:
+	dh_makeshlibs -plibflac++11 -VUpstream-Version
+	dh_makeshlibs --remaining-packages
 
 override_dh_auto_test-arch:
 	# drop (fake)root privileges,
