=== debian/watch ===
Version: 5
Template: GitHub
Owner: xiph
Project: flac
Dversion-Mangle: s/@DEB_EXT@//
Repack-Suffix: +ds
Compression: xz
